Summary: An FTP daemon provided by Washington University.
Name: wu-ftpd
Version: 2.6.0
Release: C1
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://ftp.vr.net/pub/wu-ftpd/wu-ftpd-%{version}.tar.gz
Source1: ftpd.log
Source2: ftp.pamd
Patch0: wu-ftpd-2.6.0-redhat.patch
Patch1: wu-ftpd-2.6.0-ftpwho.patch
Provides: ftpserver
Prereq: fileutils
Buildroot: /var/tmp/%{name}-root

%description
The wu-ftpd package contains the wu-ftpd FTP (File Transfer Protocol)
server daemon.  The FTP protocol is a method of transferring files
between machines on a network and/or over the Internet.  Wu-ftpd's
features include logging of transfers, logging of commands, on the fly
compression and archiving, classification of users' type and location,
per class limits, per directory upload permissions, restricted guest
accounts, system wide and per directory messages, directory alias,
cdpath, filename filter and virtual host support.

Install the wu-ftpd package if you need to provide FTP service to remote
users.

%prep
%setup -q
mkdir rhsconfig
%patch0 -p1 
%patch1 -p1

%build
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/{,bin,sbin,man,man/man{,1,5,8}}
mkdir -p $RPM_BUILD_ROOT/etc
install -o bin -g bin -m 755 bin/ftpd $RPM_BUILD_ROOT/usr/sbin/in.ftpd
install -o bin -g bin -m 755 bin/ftpshut $RPM_BUILD_ROOT/usr/sbin/ftpshut
install -o bin -g bin -m 755 bin/ftpcount $RPM_BUILD_ROOT/usr/bin/ftpcount
install -o bin -g bin -m 755 bin/ftpwho $RPM_BUILD_ROOT/usr/bin/ftpwho
install -o bin -g bin -m 755 bin/ckconfig $RPM_BUILD_ROOT/usr/sbin/ckconfig
install -o bin -g bin -m 755 bin/ftprestart $RPM_BUILD_ROOT/usr/sbin/ftprestart
install -m 644 -o bin -g bin -m 644 doc/ftpd.8 $RPM_BUILD_ROOT/usr/man/man8/ftpd.8
install -m 644 -o bin -g bin -m 644 doc/ftpcount.1 $RPM_BUILD_ROOT/usr/man/man1/ftpcount.1
install -m 644 -o bin -g bin -m 644 doc/ftpwho.1 $RPM_BUILD_ROOT/usr/man/man1/ftpwho.1
install -m 644 -o bin -g bin -m 644 doc/ftpshut.8 $RPM_BUILD_ROOT/usr/man/man8/ftpshut.8
install -m 644 -o bin -g bin -m 644 doc/ftpaccess.5 $RPM_BUILD_ROOT/usr/man/man5/ftpaccess.5
install -m 644 -o bin -g bin -m 644 doc/ftphosts.5 $RPM_BUILD_ROOT/usr/man/man5/ftphosts.5
install -m 644 -o bin -g bin -m 644 doc/ftpconversions.5 $RPM_BUILD_ROOT/usr/man/man5/ftpconversions.5
install -m 644 -o bin -g bin -m 644 doc/ftpservers.5 $RPM_BUILD_ROOT/usr/man/man5/ftpservers.5
install -m 644 -o bin -g bin -m 644 doc/xferlog.5 $RPM_BUILD_ROOT/usr/man/man5/xferlog.5
install -m 644 -o bin -g bin -m 644 doc/ftprestart.8 $RPM_BUILD_ROOT/usr/man/man8/ftprestart.8

install -m755 util/xferstats $RPM_BUILD_ROOT/usr/sbin
cd rhsconfig
install -m 600 ftpaccess ftpusers  ftphosts ftpgroups ftpconversions $RPM_BUILD_ROOT/etc
strip $RPM_BUILD_ROOT/usr/sbin/* || :
mkdir -p $RPM_BUILD_ROOT/etc/{pam,logrotate}.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/ftpd
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/ftp
ln -sf in.ftpd $RPM_BUILD_ROOT/usr/sbin/wu.ftpd
ln -sf in.ftpd $RPM_BUILD_ROOT/usr/sbin/in.wuftpd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /var/log/xferlog ]; then
    touch /var/log/xferlog
    chmod 600 /var/log/xferlog
fi

%files
%defattr(-,root,root)
%doc README ERRATA CHANGES CONTRIBUTORS
%doc doc/HOWTO doc/TODO doc/examples
/usr/sbin/*
/usr/bin/*
/usr/man/*/*
%config /etc/ftp*
%config /etc/pam.d/ftp
%config /etc/logrotate.d/ftpd

%changelog
* Mon Oct 25 1999 Jeff Bilicki <jeffb@cobaltnet.com>
- switch RPM from build to autoconf, worked for me
- Recompiled for MIPS

* Thu Oct 21 1999 Cristian Gafton <gafton@redhat.com>
- version 2.6.0, but no autoconf yet

* Tue Sep 21 1999 Cristian Gafton <gafton@redhat.com>
- patch for allowing logins by users that do not have a local account on the
  machine, but are autheticated by PAM from a different database.

* Mon Sep 06 1999 Cristian Gafton <gafton@redhat.com>
- fix ident patch

* Tue Aug 31 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed roff subtlety

* Wed Aug 25 1999 <jbj@redhat.com>
- fix ftpd.c mapped_path buffer overflow.

* Mon Aug 23 1999 <jbj@redhat.com>
- apply fix for login bug (#1599).

* Sat Aug 21 1999 <jbj@redhat.com>
- include all quick-fixes from ftp.vr.net (#3482,#3866).

* Sat Jun 12 1999 <alan@redhat.com>
- Added the new -I option to toggle the use of ident

* Mon Jun  7 1999 <jbj@redhat.com>
- update to 2.5.0 (pathname patch no longer needed).
- use "/bin/ps -f -p #" to get correct ftpwho info (#2455).
- revert glob patch in order to fix "cd ~user" (#2798) and "ls foo*" (#2944).

* Mon Apr 19 1999 <ewt@redhat.com>
- fixed pathname overflow patch

* Sat Apr 17 1999 <ewt@redhat.com>
- use libc glob function
- patched up some overflows - ick.

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- version 2.4.2-vr17. Thank GOD! - important patches are already in. Joy an
  happyness will reign the world now.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Mon Feb 15 1999 Cristian Gafton <gafton@redhat.com>
- update to 2.4.2-beta18-vr14 from ftp.vr.net

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- fix busted symlinks.

* Thu Jul 16 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.4.2-beta18

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.4.2-beta17 (fix problems #679/#680)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun May 03 1998 Cristian Gafton <gafton@redhat.com>
- fixed the ps patch for the new ps convention (use ps www instead of ps -www)

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean section

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.4.2b16
- BuildRoot

* Fri Dec 12 1997 Cristian Gafton <gafton@redhat.com>
- added a patch to prevent a possible PORT command exploit
- cleaned up the .linux patch to get a clean compile on glibc

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- fixed copyright field

* Mon Oct 13 1997 Michael K. Johnson <johnsonm@redhat.com>
- Updated to new pam conventions.

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- Updated to beta 15, which fixes a number of security holes. Release 1
  if for RH 4.2, release 2 is glibc based.

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- xferstats should look for perl in /usr/bin, not /usr/local/bin
- provides the "ftpserver" virtual package

* Thu Feb 13 1997 Michael K. Johnson <johnsonm@redhat.com>
- Updated to beta-12, and created a new PAM patch from scratch, since
  the old one made massive changes to ftpd and caused some problems.
